#
# spec file for package libslab
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           libslab
Version:        2.30.0
Release:        12.3.1
License:        GPLv2+
Summary:        Library to create tile-based UI for GNOME
Group:          Development/Libraries/GNOME
Source0:        %{name}-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM libslab-bnc536778-fix-libslab-split.patch bnc#536778 mxwu@novell.com -- Look at the right place for the favorites
Patch1:         libslab-bnc536778-fix-libslab-split.patch
# PATCH-FIX-UPSTREAM libslab-document-icon-missing.patch bnc#538917 dliang@novell.com -- Fix display of icons in document tab of the main menu. Note that the image_is_broken variable is actually useless (we just set it to be consistent)
Patch2:         libslab-document-icon-missing.patch
# PATCH-FIX-UPSTREAM libslab-bnc650196-fix-i18n.patch bnc#650196 bgo411586 sshaw@decriptor.com -- Fixes issues where environment isn't set to UTF-8
Patch3:         libslab-bnc650196-fix-i18n.patch
BuildRequires:  intltool
BuildRequires:  pkgconfig(gconf-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gnome-desktop-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libgnome-menu)
BuildRequires:  pkgconfig(librsvg-2.0)
Requires:       %{name}-lang = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This library makes it easy to create tile-based UI for GNOME, as seen in
gnome-main-menu.

%package -n libslab0
License:        GPLv2+
Summary:        Library to create tile-based UI for GNOME
Group:          Development/Libraries/GNOME
Requires:       %{name}-lang = %{version}
# Needed to make lang package installable
Provides:       %{name} = %{version}
# The library used to live in gnome-main-menu
Conflicts:      gnome-main-menu < 0.9.13

%description -n libslab0
This library makes it easy to create tile-based UI for GNOME, as seen in
gnome-main-menu.

%package devel
License:        GPLv2+
Summary:        Library to create tile-based UI for GNOME - Development Files
Group:          Development/Libraries/GNOME
Requires:       libslab0 = %{version}
Requires:       gconf2-devel
Requires:       glib2-devel
Requires:       gnome-desktop-devel
Requires:       gnome-menus-devel
Requires:       gtk2-devel
Requires:       librsvg-devel
# The library used to live in gnome-main-menu
Provides:       gnome-main-menu-devel = 0.9.12
Obsoletes:      gnome-main-menu-devel <= 0.9.12

%description devel
This library makes it easy to create tile-based UI for GNOME, as seen in
gnome-main-menu.

%lang_package
%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
autoreconf -f -i
%configure --disable-static
%__make %{?jobs:-j%jobs}

%install
%makeinstall
find %{buildroot} -type f -name "*.la" -delete -print
%find_lang %{name}

%clean
%{__rm} -rf %{buildroot}

%post -n libslab0 -p /sbin/ldconfig

%postun -n libslab0 -p /sbin/ldconfig

%files -n libslab0
%defattr(-, root, root)
%doc ChangeLog
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/libslab/

%files lang -f %{name}.lang

%changelog
* Thu Jun  2 2011 sshaw@decriptor.com
- Fixes yast2 segfault in certain locales bnc#650196
* Tue Sep  7 2010 vuntz@opensuse.org
- Change old-style BuildRequires to pkgconfig() style
  BuildRequires:
  + old-style: gconf2-devel, glib2-devel, gnome-desktop-devel,
    gnome-menus-devel, gtk2-devel, librsvg-devel.
  + new-style: gconf-2.0, glib-2.0, gnome-desktop-2.0, gtk+-2.0,
    libgnome-menu, librsvg-2.0.
- This will make it easier to switch to GNOME 3 libraries.
* Thu Jun 24 2010 dliang@novell.com
- Add libslab-document-icon-missing.patch to display icons in
  document tab. Fix bnc#538917 and bnc#613316.
* Tue Mar 30 2010 vuntz@opensuse.org
- Update to version 2.30.0:
  + Features:
  - Let one clear the recent-documents list
  + Fixes:
  - Fix displayed strings to not leak markup to the user
  - Translate 'Home' with context macro
  - Use standard icon names
  - Use XDG user directories instead of hardcoding
    $HOME/Documents, Desktop
  - Use setpgid() instead of setpgrp() for portability
  - Wrap long header labels in ApplicationTile
  - Fix build warnings
  - Fix redraw issue after starting applications
  + Misc
  - Use non-verbose build by default
  + Updated translations.
- Drop libslab-bnc187879-clear-recent-files.patch: fixed upstream.
- Drop libslab-bnc187879-fix-crash.patch: fixed upstream.
- Drop libslab-bnc537483-fix-redraw.patch: fixed upstream.
- Remove en_IGID workaround: this translation has been removed.
* Wed Dec  2 2009 vuntz@opensuse.org
- Update the way we remove the en_IGID locale for old versions of
  openSUSE.
* Mon Oct 26 2009 mxwu@novell.com
- Add libslab-bnc537483-fix-redraw.patch to fix wrong highlight
  state after start an application. bnc#537483.
* Wed Oct  7 2009 dimstar@opensuse.org
- Add libslab-bnc187879-fix-crash.patch to fix a crash when
  adding documents to favorites. bnc#187879#c21.
* Sat Sep  5 2009 dimstar@opensuse.org
- Add libslab-bnc536778-fix-libslab-split.patch, look for the
  favorites file in the right location after the split of libslab
  out of gnome-main-menu. Thanks to Mingxi Wu for the patch.
* Sun Aug 30 2009 vuntz@novell.com
- Have devel package Provides/Obsoletes gnome-main-menu-devel since
  the library has moved here.
- Add libslab-bnc187879-clear-recent-files.patch to fix bnc#187879:
  add the ability to clear the recent files.
* Fri Aug 28 2009 vuntz@novell.com
- Update to version 2.27.91:
  + Don't assume that libslab controls the main loop
  + Avoid markup in translatable strings
  + Libslab can now be made not to install headers, for internal
    use in other modules
  + Updated translations.
* Sat Aug  8 2009 vuntz@novell.com
- Initial package. Code was split from gnome-main-menu module.
